<?php
/**
 * $Horde: odin/deleteobject.php,v 1.11 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

@define('ODIN_BASE', dirname(__FILE__));
require_once ODIN_BASE . '/lib/base.php';
require_once ODIN_BASE . '/lib/Source.php';

$source = Util::getFormData('source');
$driver = &Odin_Source::singleton($source, $cfgSources[$source]);

$key = Util::getFormData('key');
if ($driver->removeObject($key)) {
    if (Util::getFormData('url')) {
        header('Location: ' . Util::getFormData('url'));
    } else {
        header('Location: ' . Horde::url($prefs->getValue('initial_page'), true));
    }
    exit;
}

$notification->push(_("There was an error deleting this object. Contact your system administrator for further help."), 'horde.error');

$title = _("Deletion failed");
require ODIN_TEMPLATES . '/common-header.inc';
require ODIN_TEMPLATES . '/menu.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
