<?php
/**
 * $Horde: odin/displayobject.php,v 1.12 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

@define('ODIN_BASE', dirname(__FILE__));
require_once ODIN_BASE . '/lib/base.php';
require_once ODIN_BASE . '/lib/Source.php';
require_once ODIN_BASE . '/lib/ObjectView.php';

$source = Util::getFormData('source');
$driver = &Odin_Source::singleton($source, $cfgSources[$source]);

$object = $driver->getObject(Util::getFormData('key'));

if (is_object($object)) {
    $view = &new Odin_ObjectView($object, ODIN_TEMPLATES . '/display/display.inc');
    $title = $object->getValue('name');
}

require ODIN_TEMPLATES . '/common-header.inc';
if (!Util::getFormData('nomenu')) {
    require ODIN_TEMPLATES . '/menu.inc';
}
$notification->notify(array('listeners' => 'status'));

if (isset($view) && is_object($view)) {
    $view->display();
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
