<?php
/**
 * $Horde: odin/index.php,v 1.11 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('ODIN_BASE', dirname(__FILE__));
$odin_configured = (@is_readable(ODIN_BASE . '/config/conf.php') &&
                     @is_readable(ODIN_BASE . '/config/attributes.php') &&
                     @is_readable(ODIN_BASE . '/config/prefs.php') &&
                     @is_readable(ODIN_BASE . '/config/sources.php'));

if (!$odin_configured) {
    require ODIN_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('Odin', ODIN_BASE,
        array('conf.php', 'prefs.php', 'sources.php'),
        array('attributes.php' => 'This file defines the Odin global attribute names and types.'));
}

require_once ODIN_BASE . '/lib/base.php';
require ODIN_BASE . '/' . $prefs->getValue('initial_page');
