<?php
/*
 * $Horde: odin/editobjectaction.php,v 1.6 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('ODIN_BASE', dirname(__FILE__));
require_once ODIN_BASE . '/lib/base.php';
require_once ODIN_BASE . '/lib/Source.php';
require ODIN_BASE . '/config/attributes.php';

$source = Util::getFormData('source');
$driver = &Odin_Source::singleton($source, $cfgSources[$source]);

$edited_object = Util::getFormData('object');
$object = $driver->getObject($edited_object['__key']);

foreach ($edited_object as $key => $value) {
    if ($key != '__key') {
        if ($attributes[$key]['type'] == 'date') {
            if ($value['month'] == '' || $value['day'] == '' || $value['year'] == '') {
                $value = null;
            } else {
                $value = mktime(0, 0, 0, $value['month'], $value['day'], $value['year']);
            }
        }
        $object->setValue($key, $value);
    }
}

// store
$object->store();

// get out of here
$url = Util::addParameter('displayobject.php', 'source=' . urlencode($source));
$url = Util::addParameter($url, 'key=' . urlencode($object->getValue('__key')));
header('Location: ' . Horde::applicationUrl($url, true));
