<?php
/**
 * $Horde: odin/quicksearch.php,v 1.11 2005/01/03 14:35:23 jan Exp $
 *
 * Odin: Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

@define('ODIN_BASE', dirname(__FILE__));
require_once ODIN_BASE . '/lib/base.php';
require_once ODIN_BASE . '/lib/Source.php';
require ODIN_BASE . '/config/attributes.php';

$title = _("QuickSearches");
require ODIN_TEMPLATES . '/common-header.inc';
require ODIN_TEMPLATES . '/menu.inc';

$source = Util::getFormData('source');
if ($source == null || !isset($cfgSources[$source])) {
    $options = '';
    $count = 0;
    foreach ($cfgSources as $key => $curSource) {
        if (!empty($curSource['quicksearch'])) {
            $options .= '<option value="' . $key . '">' . $curSource['title'] . '</option>';
            $source = $key;
            $count++;
        }
    }
} else {
    $count = 1;
}

if ($count == 0) {
    require ODIN_TEMPLATES . '/quicksearch/noquicksearch.inc';
} elseif ($count == 1) {
    require ODIN_TEMPLATES . '/quicksearch/head.inc';
    foreach ($cfgSources[$source]['quicksearch'] as $quicksearch) {
        require ODIN_TEMPLATES . '/quicksearch/quicksearch.inc';
    }
} else {
    require ODIN_TEMPLATES . '/quicksearch/select.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
