#!/bin/sh
#
# $Horde: odin/scripts/smap_rotate.sh,v 1.2 2002/09/25 20:16:50 chuck Exp $
#
# Run logrotate.
#
# /etc/logrotate.d/smap is presumed to exist and be a configuration
# file defining how we rotate smap logs - how many to keep, etc.
#
# We specify -f to make sure that we will _always_ generate a new
# logfile, so that we can obtain partials.
/usr/bin/ssh smap-server /usr/sbin/logrotate \
    -s /var/lib/logrotate/smap-status -f /etc/logrotate.d/smap

# Now copy over the latest log file.
/usr/bin/scp username@smap-server:/var/log/smap.0 /local/path/smap-latest

# Now we can pass off the file to smap_inject.php to process the data
# into the database.
