<form name="display_contact" action="<?php echo Horde::applicationUrl('displayobject.php') ?>" method="post">
<table align="center" border="0" cellpadding="2" cellspacing="2">
<tr>
  <td colspan="2">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
  <td class="header">
    <b><?php echo $this->object->getValue('name') ?></b>&nbsp;
  </td>
<?php
if (!Util::getFormData('print')) {
    $url = Util::addParameter('', 'source=' . urlencode($this->object->source->name));
    $url = Util::addParameter($url, 'key=' . urlencode($this->object->getValue('__key')));
?>
  <td class="header" align="right">
<?php if ($this->object->isEditable()): ?>
    <?php echo Horde::link(Horde::applicationUrl('editobject.php' . $url), _("Edit"), 'smallheader') . _("Edit") ?></a> |
    <?php echo Horde::link(Horde::applicationUrl('deleteobject.php' . $url), _("Delete"), 'smallheader') . _("Delete") ?></a> |
<?php endif; ?>
    <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'print=1'), _("Print"), 'smallheader') . _("Print") ?></a> |
    <?php echo Horde::link('', _("Close Window"), 'smallheader', null, 'window.close(); return false;') . _("Close Window") ?></a>
  </td>
<?php } ?>
</tr>
</table>
  </td>
</tr>
<?php
foreach ($attributes as $key => $field) {
    if (!isset($fields[$key])) {
        continue;
    }
    $val = $this->object->getValue($key);
    if (empty($val)) {
        $value = '&nbsp;';
    } elseif ($field['type'] == 'email') {
        // Format the address according to RFC822.

        $mailbox_host = explode('@', $val);
        if (!isset($mailbox_host[1])) {
            $mailbox_host[1] = '';
        }
        $name = $this->object->getValue('name');
        require_once 'Horde/MIME.php';
        $address = MIME::rfc822WriteAddress($mailbox_host[0], $mailbox_host[1], $name);

        // Get rid of the trailing @ (when no host is included in the email address).
        $address = str_replace('@>', '>', $address);

        $value = Horde::link($GLOBALS['registry']->call('mail/compose', array(array('to' => addslashes($address)))),
                             sprintf(_("Send mail to %s"), $name)) . $this->object->getvalue($key) . '</a>';
    } elseif ($field['type'] == 'date') {
        $value = date('m/d/Y', $this->object->getValue($key));
    } else {
        $value = htmlspecialchars($this->object->getValue($key));
    }
?>
<tr>
  <td class="light" align="right"><b><?php echo $field['desc'] ?>&nbsp;</b></td>
  <td class="text"><?php echo ($field['type'] == 'multiline') ? nl2br($value) : $value ?></td>
</tr>
<?php } ?>

<?php if (!Util::getFormData('print')): ?>
<tr>
  <td colspan="2" class="header" align="right">
<?php if ($this->object->isEditable()): ?>
    <?php echo Horde::link(Horde::applicationUrl('editobject.php' . $url), _("Edit"), 'smallheader') . _("Edit") ?></a> |
    <?php echo Horde::link(Horde::applicationUrl('deleteobject.php' . $url), _("Delete"), 'smallheader') . _("Delete") ?></a> |
<?php endif; ?>
    <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'print=1'), _("Print"), 'smallheader') . _("Print") ?></a> |
    <?php echo Horde::link('', _("Close Window"), 'smallheader', null, 'window.close(); return false;') . _("Close Window") ?></a>
  </td>
</tr>
<?php endif; ?>
</table>
</form>

<?php
if (Util::getFormData('print')) {
    require $GLOBALS['registry']->get('templates', 'horde') . '/javascript/print.js';
}
